Page MenuHomePhabricator

Split CheckUser log into individual, per-wiki logs
Closed, ResolvedPublic

Description

The current situation is that all CU logs are together. Every user with CU
access on any wiki can view the whole log of every wiki. I guess it would be
better to let the CU's on the specific projects only have access to the log that
shows only the CU-actions of that specific project. Not of the other projects.

The other part of the request is that stewards have through meta access to the
combined log of all CU-actions. (as it is now available on every single wiki).

<this is a spin off from bug 8705, per request of rob.


Version: unspecified
Severity: enhancement

Details

Reference
bz8710

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 9:35 PM
bzimport set Reference to bz8710.
bzimport added a subscriber: Unknown Object (MLST).

mcdevitd wrote:

Global logs are both useful in tracking and collaborating on crosswiki
vandals/banned users (and note that stewards are not intended to become
checkusers on wikis with local checkusers already, so such crosswiki
coordination *needs* to be done be the local checkusers, not just stewards) as
well as increasing transparency and accountability among the class of users
already trusted with such confidential information, especially since many wikis
have only two checkusers.

I agree that a local log would be useful for convenience's sake, and also
hopefully for fixing display of local language settings (if not date, since that
varies by user preference), and I'd prefer parallel global and local logs to a
global log, but I also prefer a global log to a local log.

aaron added a comment.Jan 29 2007, 1:08 PM

Indeed, if local logs are to be made, they will be nicely formated additions to
the global log, as I see no need to get rid of the global log.

Dates are all stored as the same format already for all checks (that was done in
the last patch).

lar wrote:

I too would hate to see loss of the global log functionality, with the increase in crosswiki vandalism and sockery, being able to search for users or IPs elsewhere (and finding out who is working the issue) is very useful. So I would oppose this as a replacement, but be OK with this as an additional sort of log. See also http://bugzilla.wikimedia.org/show_bug.cgi?id=6053

wiki.bugzilla wrote:

*** Bug 11741 has been marked as a duplicate of this bug. ***

aaron added a comment.Jan 12 2008, 5:59 AM

Done in r29527.

lar wrote:

I'd like to ask that this either be reopened (or marked as rejected), or a new bug opened to track the request for a global log, linked to here. Loss of global logging is significant impact to those CUs that perform crosswiki checks as many CUs have pointed out. This also means that stewards and ombudsmen have lost global log access, another drawback which will require significant amounts of permissions twiddling whenever checks need carrying out. It is my belief that Effie's view as stated in the original bug is a small minority. (discussion is ongoing on various lists)

mike.lifeguard+bugs wrote:

(In reply to comment #6)

I'd like to ask that this either be reopened (or marked as rejected), or a new
bug opened to track the request for a global log, linked to here. Loss of
global logging is significant impact to those CUs that perform crosswiki checks
as many CUs have pointed out. This also means that stewards and ombudsmen have
lost global log access, another drawback which will require significant amounts
of permissions twiddling whenever checks need carrying out. It is my belief
that Effie's view as stated in the original bug is a small minority.
(discussion is ongoing on various lists)

See bug 13789.